Create saved objects

deprecated
Server: https://{kibana_url}
  • POST /api/saved_objects/_bulk_create
  • POST /s/{space_id}/api/saved_objects/_bulk_create

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Creates multiple Kibana saved objects in a single request.

For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).

Query Parameters

overwrite boolean · default: false

Overwrite existing saved objects that match the same type and ID.

Request

Type: [] object · max: 10000

Responses

200

A bulk create response.

application/json
400

A bad request.

application/json